<%@ page import="grails.converters.JSON" %>
<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'book.label', default: 'Book')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#list-book" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="list-book" class="content scaffold-list" role="main" style="padding: 20px">
            <h1 style="margin: 0">Das Wetter heute in Berlin: ${autowiredWeather} °C</h1>
            <hr style="margin-bottom: 30px; margin-top: 30px;"/>
            <h1 style="margin: 0"><g:message code="default.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
                <div class="message" role="status">${flash.message}</div>
            </g:if>
            <f:table collection="${bookList}" />

            <div class="pagination">
                <g:paginate total="${bookCount ?: 0}" />
            </div>
        </div>
    </body>
</html>